<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8" />
<title>Book now</title>
<link href="../fullcalendar.min.css" rel="stylesheet" />
<link href="../fullcalendar.print.min.css" rel="stylesheet" media="print" />
<script src="../lib/moment.min.js"></script>
<script src="../lib/jquery.min.js"></script>
<script src="../lib/jquery-ui.min.js"></script>
<script src="../fullcalendar.js"></script>
<script src="../availability.js"></script>
<script src="../slotsRendering.js"></script>
<script>

	$(document).ready(function() {


		/* initialize the external events
		-----------------------------------------------------------------*/

		$('#external-events .fc-event').each(function() {

			// store data so the calendar knows to render an event upon drop
			$(this).data('event', {
				title: $.trim($(this).text()), // use the element's text as the event title
				stick: true // maintain when user navigates (see docs on the renderEvent method)
			});

			// make the event draggable using jQuery UI
			$(this).draggable({
				zIndex: 999,
				revert: true,      // will cause the event to go back to its
				revertDuration: 0  //  original position after the drag
			});

		});


		/* initialize the calendar
		-----------------------------------------------------------------*/

	});
  function initializeCalendar(eventsArr){
    $('#calendar').fullCalendar({
       header:{
                left: 'prev,next today',
                center: 'title',
                right: 'agendaWeek,agendaDay'
            },
            defaultView: 'agendaWeek',
            editable: true,
            selectable: true,
            allDaySlot: false,
            eventOverlap: false,
            slotDuration:'00:30:00',
            forceEventDuration:true,
             defaultTimedEventDuration: "00:30:00",
             defaultEventMinutes :60,//if there is no end time in event obj then its 1 hr only
             eventOverlap: false,
             slotEventOverlap:false,
            events:eventsArr /*[
                {
                  "title": "All Day Event",
                  "start": "2017-12-11T10:00:00Z",
                   "end": "2017-12-11T16:00:00Z",
                  
                },
                 {
                  "title": "Booked",
                  "start": "2017-12-11T10:00:00Z",
                   "end": "2017-12-11T16:00:00Z",
                   "backgroundColor":"red"
                  
                }
               ]*/,
            eventClick:  function(event, jsEvent, view) {  // when some one click on any event
                endtime = $.fullCalendar.moment(event.end).format('h:mm');
                starttime = $.fullCalendar.moment(event.start).format('dddd, MMMM Do YYYY, h:mm');
                var mywhen = starttime + ' – ' + endtime;
                 alert("clicked");
               console.log(event.title,mywhen,event.id);
            },
            select: function(start, end, jsEvent) {  // click on empty time slot
              alert("click on empty time slot");
                endtime = $.fullCalendar.moment(end).format('h:mm');
                starttime = $.fullCalendar.moment(start).format('dddd, MMMM Do YYYY, h:mm');
                var mywhen = starttime + ' – ' + endtime;
                start = moment(start).format();
                end = moment(end).format();
              
               // $('#createEventModal').modal('toggle');
           }
    });

 }

</script>
</head>
<body>
	<div class="container">
		<div id="calendar"></div>

		<div style="clear:both"></div>

	</div>
</body>
</html>
